---
layout: handbook-page-toc
title: Renewals Managers - How we do it
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

View the Renewals Manager handbook pages:
- [Home](https://about.gitlab.com/handbook/customer-success/renewals-managers/home) - Information about the organization.
- [What we do](https://about.gitlab.com/handbook/customer-success/renewals-managers/what) - Information about what tasks and activities renewals managers perform.

Renewals Managers --> visit the internal handbook [page](https://internal-handbook.gitlab.io/handbook/sales/go-to-market/renewals/) for more information.

---



# Execution: Establishing fundamental excellence 
Renewals managers (RMs) execute a series of activities across a specifically defined customer renewal lifecycle. These activities are both internal and customer facing. We seek excellence in performing the fundamental tasks of renewals management.

## Renewals lifecycle
The renewals team organizes it's coverage of a customer subscriptions around particular key stages during a customers journey through the renewal process. During each stage we prescribe specific activities that encourage renewals managers to deliver distinct, stage relevant customer outcomes.


| Time Frame | Renewals Stage | Customer Outcomes (Qualitative)                                          |
|-------|--------|-------------------------------------------------------------------------------------|
| Month 1    | 1. Deploy      | Customer welcomed/back, environment set-up/affirmed, startup issues identified/triaged, licenses utilized |
| Month 2    | 2. Activate    | The majority of licenses are being utilized, customer is enabled to enter the adopt stage |
| Month 3,4,5,6 | 3. Adopt | Customers encouraged to optimize platform, early risk signals identified/mitigated, subscriptions show high utilization |
| Month 7    | 4. Advocate    | Customers identifying expansion opportunities, verbalizing advocacy        |
| Month 8,9 | 5. Expand      | Customers have evaluated needs for more subs, up-tiering                     |
| Month 9,10| 6. Prepare     | Comfortable and starting the commercial portion of the renewal lifecycle     |
| Month 11   | 7. Quoted      | Timely access to an accurate quote                                          |
| Month 12   | 8. Signing     | Signatures on quote, PO raised/sent (when necessary)                         |
| Month 12   | 9. Closed Won  | Entitled, shown gratitude, and equipped for day zero success                  |


## Opportunity Tiering
Renewals managers cover every opportunity that is in their assigned region, however, that coverage is dependent on the opportunity "tier". The tier describes the ownership of the renewal opportunity. Tiers are autopopulated for new opportunities using the tier table schema. Each Renewals Manager is responsible for collaborating with their team of Account Executives to calibrate their specific book of business with the correct tiering for each opportunity. Calibration occurs annually, and after that period, changes to tiering require manager approval. 

**Tier Table**

| Tier | Revenue Range | Ownership |  Responsibilities |
|--|----|----| ------------------------------ |
| 0 | [X < 15K] | Solely owned by RM (PubSec, 3rd party) | Full lifecycle management responsibilities |
| 1 | [15K < X < 100K] | Solely owned by RM | Full lifecycle management responsibilities |
| 2 | [100K < X < 400K] | RM Collaboration w/ AE | Mixed responsibilities - could include customer facing calls, quoting support, risk management, opportunity management |
| 3 | [X > 400K] | Solely owned by AE | Understand the status of the renewal; Track/update the risk and mitigation on the opportunities; Predictability - should be able to forecast the business |

Note that any changes to the Renewal Ownership (Tier) field within the current Fiscal Year must be submitted by the Renewals Manager or Account Executive and approved by the Manager, Renewals via Chatter on the Opportunity record. 


## Renewal opportunity activities - by tier 
The following activities are recommended for each Renewals Manager as a baseline for engagement with a customer throughout their subscription journey. This framework is flexible, and ultimately every Renewals Manager must us their discretion to discern which activities make sense for their customer's experience. 

| ID |Tier|Stage| Motion | Process | Primary activities |
|--|-----|------|------|--------|----------------------------|
| A  | 0,1,2,3 | Deploy   | Internal | Package the renewal and interlock w/ account team | Prepare the renewal to be worked - contact information, partner information/cadence, MSA/procurement scenarios, custom actions) and interlock with SA/AE/CSM for details, check for active PS engagements |
| B  | 0,1,2  | Deploy  | Email - Standard | Introduction  | Quick email intro previewing RM relationship, highlighting PS and other purchasable Deploy/Activate/Adoption services |
| C  | 1,2   | Deploy         | Internal | Deployment check  | Check the license utilization tool to determine if the customer has reached utilization goal |
| D  | 1,2    | Activate       | Internal | Activation check  | Check the license utilization tool to determine if the customer has reached utilization goal |
| E  | 1,2   | Adopt | Internal | CSM/E+ RM Huddle | Ensuring the timely coordination of CSM + RM. Templated check-in (Known issues, risks, externalities at play, etc.) |
| F  | 1 | Adopt | Email - Standard | Affirmation  | Email customer a relevant stat or story re: how other customers similar are benefitting from their GitLab subscription, and giving words of affirmation and gratitude. |
| G  | 1 | Adopt | Email - Standard | Subscription management best practices | Push to increase utilization by suggesting subscription management best practices. Encourage the development of a buffer (<5%) to prevent over deployments. Site facts around the burden/cost/likelihood of over deployments. |
| H  | 0,1,2 | Adopt | Internal | Early stage risk evaluation | Use early risk framework to identify and flag risk on the opportunity. Kick off mitigation tactics. |
| I  | 0,1 | Adopt | Email - Short Form Video | Expansion warm-up | Custom touch to denote benefits of uptier, expansion. Site specifics around customers that standardize on GitLab at their organization, benefits of scale. |
| J  | 0,1,2,3 | Adopt | Internal | Adoption check | Check the license utilization tool to determine if the customer has reached utilization goal |
| K  | 1 | Advocate | Email - Standard | Communicate subscription value consumed | Send a basic snapshot of how much subscription value the customer has consumed (tangible and intangible/unknown). Graphically appealing charts/imagery. Reminders about how to get most of subscription. |
| L  | 1,2 | Expand | Internal | CSM + RM Huddle | Ensuring the timely coordination of CSM + RM. Templated check-in (Known issues, risks, externalities at play, etc.) |
| M  | 0,1,2 |  Expand | Internal | Late stage risk evaluation | Use late stage framework to identify and flag risk on the opportunity. Kick off mitigation tactics. |
| N  | 0,1 | Expand | External - Call | Hard expansion sell | Offer addiitional buffer, uptiers, source new opportunities for connected-new |
| O  | 0,1,2 | Prepare | Email - Short form Video | Video prep customer for renewal season |
| P  | 0,1,2 | Prepare       | Email - Standard | Renewal transaction outreach   | Email customer requesting a meeting, informing them of approaching renewal, hyperlinking helpful documentation (business case templates, ROI templates, etc.) |
| Q  | 0,1,2 | Prepare       | Call            | Renewal meeting                 | Discuss the upcoming renewal, expansion pitch, first-step negotiations                                                        |
| R  |  0,1,2 | Prepare       | Internal        | Build and approve quote         | Build quote, if necessary send quote for approvals                                                                            |
| S  | 0,1,2 | Quoted        | Internal        | Operations Check                | Evaluation of healthy opp progression, flagging risk + changing forecast                                                      |
| T  | 0,1,2 | Quoted        | Email - Standard | Send quote                      | Send quote to customer (docusign or attached to an email)                                                                      |
| U  |  0,1,2  | Signing       | Email - Standard | Quote received notice           | Respond to customer once a signed quote has been returned                                                                       |
| V  | 0,1,2 | Signing       | Email - Standard | Recieve PO (if necessary)       | Email response that the PO has been received                                                                                   |
| W  | 0,1,2 | Signing       | Internal        | Prep and submit opp for booking | Prepare opportunity for booking, submit                                                                                       |
| X  | 0,1,2 | Closed Won    | Email           | Close email w/ gratitude, instructions | Email customer with gratitude and something unique to GitLab (moniker, closing stats - i.e. we did this in 8 touches, better than our benchmark of 10, etc.) |


# Renewals policies
To build and maintain an efficient, fair, and high impact renewals organization, we have adopted the following policies and processes to describe our engagement with field sales, partners and customers. 

## Rules of engagement
  - **Growth opportunities**
    - First order business is handled by Account Executives
     - Customer add-ons are identified by Renewals Managers, and primarily managed by Account Executives (exceptions made for timing risk to customers environment; risk to experience)
     - Connected-new opportunities are handled by Account Executive
  - **Renewal opporutnities**
    - Customer true-ups are handled by Renewal Manager
    - Renewals Managers do not waive true-ups 
  - **Channel opporuntities**
    -  We respect the incumbency of partners unless a lack of action by the partner puts a customers environment at risk
  - **Opportunity Coverage**
    -  Renewals managers primary focus is managing renewal opportunitie `ARR basis` ; coverage for new business and add-on's `growth NetARR` should default to the account executives team 

## Late renewals management
Our management philosophy regarding the expectations of booking renewals is simple - always timely and always accurate. 

- **Timely**: 
  - It is expected that a renewal opportunity be closed-won or closed-lost by the `subscription renewal date`.
  - We close-lost opportunities when we have full confidence that the customers will not renew (we don’t use sales automation to close opportunities) 
- **Accurate**: 
  - *No pushing*: We do not manipulate the close date to influence personal performance metrics (i.e. pushing churning opportunities into the next quarter/year)
  - *No detrimental pulling*: We do not pull opportunities forward into quarters for the purpose of personal performance metric effect if it results in compression (i.e. offering a discount for an early contract reset to improve a quarters performance)
  -  *Corresponding subscriptions*: We book opportunities that correspond, together (aka SaaS and Self-Managed migrations are booked at the same time)

# Compensation

## Churn Exceptions

- Churn exceptions are possible, but not guaranteed. Each circumstance will be considered independetly. Some common scenarios considered for churn exceptions are:
  1. Misrepresented or temporary Churn/Contraction
    - a. Near-term add-on contraction (true up negotiations, budget optimizations)
    - b. Subscription migration and consolidations - where we can prove that users simply moved to another subscription (not-merged) on another opportunity, or to another account
    - c. System errors (non-standard contract resets that may net incorrectly, incorrectly merged opps)
  2. Strategic Churn/Contraction
    - a. Change in GTM (direct to indirect) and the associated margin event that results in contraction
    - b. Change in term length (must pass approvals)
  3. Protected Churn/Contraction
    - a. Large/Influential Tier 3 deals where a churn event encompasses more than 10% of a Renewals Managers overall quarterly target may be considered
    - b. Recent account transition churn/contraction - opps that have been recently acquired as a result of account transition 

- Timing: Have all exceptions submitted by the first two days of the new quarter.
- Threshold: Consider the amount of churn/contraction - small renewals in these scenarios should be balanced with the amount of effort to find/submit them (i.e. submitting a 200 dollar opp may take more time than it's worth)

- Submission
  - When submitting a churn exception, chatter wth this syntax [Churn Exception Request] Details and context (link to supporting doc) CC: Manager for approval, CC: Caleb for approval CC: Sales Comp, CC: James Harrison


# Metrics
The renewals organization puts a focus on execution through a balanced series of metrics. 

## Primary Metrics 
- Renewal Rate (% of dollar)  
   `[Won ARR Basis (for Clari)]` / `[ARR Basis (for Clari)] `
- On-time renewal rate (% of dollar) (# of opps)  
  `Close date` >= `subscription renewal date`

## Secondary Metrics
- Growth NetARR (%)  - everything but first-order business
`[Comp] Net ARR (growth)`

## Tertiary Metrics 
- Opportunity health: Next steps completion, stage progression, activity execution
- Under management: $ and # opps in each tier (0,1,2,3)
- Compression: Average discount
- Scaling: % of business executed through partners
- Closing Velocity: Average quote to close time (measured by stage progression)
- Customer Satisifacation: NPS, CSat scores 


